Package tigase.db.xml

# Class XMLDataSource

java.lang.Object
tigase.db.xml.XMLDataSource

All Implemented Interfaces:
  `DataSource`, `Repository`

public class XMLDataSource extends Object implements DataSource
Created by andrzej on 04.04.2017.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLDataSource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResourceUri()`
  Returns a DB connection string or DB connection URI.
  `Optional<Version>`
  `getSchemaVersion(String component)`
  Method obtains version of the schema for particular component stored in the database.
  `XMLDB`
  `getXMLDB()`
  `void`
  `initialize(String file)`
  The method is called to initialize the data repository.
  `void`
  `initRepository(String file, Map<String,String> params)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.db.DataSource

  `automaticSchemaManagement, checkConnectivity, checkSchemaVersion`

- ## Constructor Details

  - ### XMLDataSource

    public XMLDataSource()

- ## Method Details

  - ### getSchemaVersion

    public Optional<Version> getSchemaVersion(String component)
    Description copied from interface: `DataSource`
    Method obtains version of the schema for particular component stored in the database.
    Specified by:
      `getSchemaVersion` in interface `DataSource`
    Parameters:
      `component` - name of the component for which we want to get the schema version
    Returns:
      an optional value of the version.

  - ### getResourceUri

    public String getResourceUri()
    Description copied from interface: `DataSource`
    Returns a DB connection string or DB connection URI.
    Specified by:
      `getResourceUri` in interface `DataSource`
    Returns:
      a `String` value representing database connection string.

  - ### initialize

    public void initialize(String file) throws RepositoryException
    Description copied from interface: `DataSource`
    The method is called to initialize the data repository.
    Specified by:
      `initialize` in interface `DataSource`
    Parameters:
      `file` - value in most cases representing the database connection string.
    Throws:
      `RepositoryException` - if there was an error during initialization of data source. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying data source it may not be signaled through this method call.

  - ### initRepository

    @Deprecated public void initRepository(String file, Map<String,String> params) throws DBInitException
    Deprecated.
    Description copied from interface: `Repository`
    Method is deprecated and should not be user any more.
    The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
    Specified by:
      `initRepository` in interface `Repository`
    Parameters:
      `file` - value in most cases representing the database connection string.
      `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
    Throws:
      `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

  - ### getXMLDB

    public XMLDB getXMLDB()